## tdegraphics-trinity 14.2.0~pre124

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdegraphics )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckTypeSize )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckSymbolExists )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )

option( WITH_PAPER "Enable libpaper support" ${WITH_ALL_OPTIONS} )
option( WITH_TIFF "Enable tiff support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
option( WITH_OPENEXR "Enable openexr support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
option( WITH_PDF "Enable pdf support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )


##### options comments ##########################

# WITH_PAPER   affects kpdf
# WITH_PAPER   description this library is only used to set some default
#                          parameters of paper according to system settings.
# WITH_TIFF    affects tdefile-plugins(tiff)
# WITH_OPENEXR affects tdefile-plugins(exr)
# WITH_PDF     affects tdefile-plugins(pdf dependencies/poppler-tqt)

# NOTE: It seems that libtiff was planned to be used in
#       kviewshell(plugins/djvu) but isn't yet implemented


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_KAMERA "Build kamera" ${BUILD_ALL} )
option( BUILD_KCOLOREDIT "Build kcoloredit" ${BUILD_ALL} )
option( BUILD_KDVI "Build kdvi" ${BUILD_ALL} )
option( BUILD_KFAX "Build kfax" ${BUILD_ALL} )
option( BUILD_KFAXVIEW "Build kfaxview" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile-plugins" ${BUILD_ALL} )
option( BUILD_KGAMMA "Build kgamma" ${BUILD_ALL} )
option( BUILD_KGHOSTVIEW "Build kghostview" ${BUILD_ALL} )
option( BUILD_TDEICONEDIT "Build tdeiconedit" ${BUILD_ALL} )
option( BUILD_KOLOURPAINT "Build kolourpaint" ${BUILD_ALL} )
option( BUILD_KOOKA "Build kooka" ${BUILD_ALL} )
option( BUILD_KPDF "Build kpdf" ${BUILD_ALL} )
option( BUILD_KPOVMODELER "Build kpovmodeler" ${BUILD_ALL} )
option( BUILD_KRULER "Build kruler" ${BUILD_ALL} )
option( BUILD_KSNAPSHOT "Build ksnapshot" ${BUILD_ALL} )
option( BUILD_KSVG "Build ksvg" ${BUILD_ALL} )
option( BUILD_KUICKSHOW "Build kuickshow" ${BUILD_ALL} )
option( BUILD_KVIEW "Build kview" ${BUILD_ALL} )
option( BUILD_KVIEWSHELL "Build kviewshell" ${BUILD_ALL} )
option( BUILD_LIBKSCAN "Build libkscan" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### tdegraphics directories ###################

# tdefile-plugins/ps requires dscparse-static library
if( BUILD_TDEFILE_PLUGINS AND NOT BUILD_KGHOSTVIEW )
  add_subdirectory( kghostview/dscparse )
endif( )

# kdvi and kfax require a static library from kviewshell
# see BUG 1593 for details
if( BUILD_KVIEWSHELL OR BUILD_KDVI OR BUILD_KFAX )
  add_subdirectory( kviewshell )
endif( )

tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_KAMERA kamera )
tde_conditional_add_subdirectory( BUILD_KCOLOREDIT kcoloredit )
tde_conditional_add_subdirectory( BUILD_KDVI kdvi )
tde_conditional_add_subdirectory( BUILD_KFAX kfax )
tde_conditional_add_subdirectory( BUILD_KFAXVIEW kfaxview )
tde_conditional_add_subdirectory( BUILD_KGAMMA kgamma )
tde_conditional_add_subdirectory( BUILD_KGHOSTVIEW kghostview )
tde_conditional_add_subdirectory( BUILD_KOLOURPAINT kolourpaint )
tde_conditional_add_subdirectory( BUILD_KOOKA kooka )
tde_conditional_add_subdirectory( BUILD_KPDF kpdf )
tde_conditional_add_subdirectory( BUILD_KPOVMODELER kpovmodeler )
tde_conditional_add_subdirectory( BUILD_KRULER kruler )
tde_conditional_add_subdirectory( BUILD_KSNAPSHOT ksnapshot )
tde_conditional_add_subdirectory( BUILD_KSVG ksvg )
tde_conditional_add_subdirectory( BUILD_KUICKSHOW kuickshow )
tde_conditional_add_subdirectory( BUILD_KVIEW kview )
tde_conditional_add_subdirectory( BUILD_LIBKSCAN libkscan )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_TDEICONEDIT tdeiconedit )

##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== kghostview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( data )
add_subdirectory( dscparse )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/dscparse
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_install_icons( kghostview )

tde_create_translated_desktop(
  SOURCE kghostview.desktop
  PO_DIR kghostview-desktops
)

tde_create_translated_desktop(
  SOURCE kghostview_part.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kghostview-desktops
)

install( FILES kgv_part.rc kghostviewui.rc DESTINATION ${DATA_INSTALL_DIR}/kghostview )
install( FILES kghostview.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kghostview.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( PROGRAMS update-to-xt-names.pl DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )


#### kghostviewlib (shared) #####################

tde_add_library( kghostviewlib SHARED AUTOMOC
  SOURCES
    kgvshell.cpp kgvdocument.cpp kgv_miniwidget.cpp
    marklist.cpp logwindow.cpp infodialog.cpp kgvpageview.cpp ps.c
    kgv_view.cpp scrollbox.cpp  kgvpagedecorator.cpp
    kgvconfigdialog.cpp kgvmainwidget.cpp  kdscerrordialog.cpp
    displayoptions.cpp kpswidget.cpp fullscreenfilter.cpp
    kgvfactory.cpp  generalsettingswidget.ui gssettingswidget.ui
    thumbnailservice.cpp  configuration.kcfgc
  LINK dscparse-static tdeprint-shared tdeparts-shared
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


#### kghostviewpart (module) ####################

tde_add_kpart( libkghostviewpart AUTOMOC
  SOURCES part_init.cpp
  LINK kghostviewlib-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


#### kghostview (executable) ####################

tde_add_executable( kghostview AUTOMOC
  SOURCES main.cpp
  LINK kghostviewlib-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kpdf/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( xpdf )
add_subdirectory( conf )
add_subdirectory( core )
add_subdirectory( ui )
add_subdirectory( shell )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/xpdf
  ${CMAKE_CURRENT_SOURCE_DIR}/xpdf/goo
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kpdf )

tde_create_translated_desktop(
  SOURCE kpdf_part.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kpdf-desktops
)

install( FILES part.rc DESTINATION ${DATA_INSTALL_DIR}/kpdfpart )


##### libkpdfpart (module) ######################

tde_add_kpart( libkpdfpart AUTOMOC
  SOURCES
    dcop.skel error.cpp part.cpp
  LINK
    kpdfconf-static kpdfui-static kpdfcore-static generatorkimgio-static
    generatorpdf-static xpdf-static goo-static splash-static fofi-static
    tdeutils-shared tdeprint-shared tdeparts-shared
    ${PAPER_LIBRARY} ${XFT_LIBRARIES} ${FREETYPE_LIBRARIES} ${FONTCONFIG_LIBRARIES}
  DEPENDENCIES kpdfconf-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== doc/kamera/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kamera )

=== doc/kolourpaint/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kolourpaint )

=== kamera/kcontrol/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPHOTO2_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_create_translated_desktop( kamera.desktop )


#### kamera (module) ############################

tde_add_kpart( kcm_kamera SHARED AUTOMOC
  SOURCES kamera.cpp kameradevice.cpp kameraconfigdialog.cpp
  LINK tdeio-shared ${GPHOTO2_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== ksvg/core/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../dom
  ${CMAKE_CURRENT_SOURCE_DIR}/../ecma
  ${CMAKE_CURRENT_SOURCE_DIR}/../impl
  ${CMAKE_CURRENT_SOURCE_DIR}/../impl/libs/libtext2path/src
  ${CMAKE_CURRENT_SOURCE_DIR}/../impl/libs/art_support
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${FREETYPE_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    KSVGCanvas.h CanvasItems.h CanvasItem.h
    CanvasFactory.h DocumentFactory.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/ksvg )


##### other data ################################

tde_create_translated_desktop(
  SOURCE ksvgrenderer.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR ksvg-desktops
)


##### ksvgcore (static) #########################

tde_add_library( ksvgcore STATIC_PIC AUTOMOC
  SOURCES
    KSVGLoader.cpp KSVGCanvas.cpp KSVGReader.cpp KSVGTextChunk.cpp
    CanvasFactory.cpp CanvasItems.cpp KSVGHelper.cpp DocumentFactory.cpp
)

=== kuickshow/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    calibrate.png kuickshow-day.jpg kuickshow-night.jpg logo.png
    imageviewer-medium.png imageviewer-small.png handcursor.png
    ksslide.png about.png
  DESTINATION ${DATA_INSTALL_DIR}/kuickshow/pics )

=== kview/kviewviewer/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( config )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kview
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kviewviewer.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kview-desktops
)

install( FILES kviewviewer.rc kviewviewer_ro.rc kviewpopup.rc DESTINATION ${DATA_INSTALL_DIR}/kviewviewer )


##### libkviewviewer (module) ###################

tde_add_kpart( libkviewviewer AUTOMOC
  SOURCES
    printimagesettings.ui imagesettings.cpp
    kviewkonqextension.cpp kviewviewer.cpp
  LINK kimageviewer-shared tdeutils-shared tdeprint-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdefile-plugins/dds/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data ##################################

tde_create_translated_desktop(
  SOURCE tdefile_dds.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdefile-desktops
)


#### tdefile_dds (module) ##########################

tde_add_kpart( tdefile_dds AUTOMOC
  SOURCES tdefile_dds.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kpdf/xpdf/xpdf/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_SOURCE_DIR}/../goo
  ${CMAKE_CURRENT_SOURCE_DIR}/../fofi
  ${CMAKE_CURRENT_SOURCE_DIR}/../splash
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${FREETYPE_INCLUDE_DIRS}
)


##### xpdf (static) #############################

tde_add_library( xpdf STATIC_PIC
  SOURCES
    Annot.cpp Array.cpp BuiltinFont.cpp BuiltinFontTables.cpp
    Catalog.cpp CharCodeToUnicode.cpp CMap.cpp Decrypt.cpp Dict.cpp
    FontEncodingTables.cpp Function.cpp Gfx.cpp GfxFont.cpp GfxState.cpp
    GlobalParams.cpp JArithmeticDecoder.cpp JBIG2Stream.cpp Lexer.cpp Link.cpp
    NameToCharCode.cpp Object.cpp Outline.cpp OutputDev.cpp PDFDoc.cpp
    PDFDocEncoding.cpp PreScanOutputDev.cpp PSTokenizer.cpp Page.cpp
    Parser.cpp PSOutputDev.cpp SecurityHandler.cpp SplashOutputDev.cpp
    Stream.cpp JPXStream.cpp TextOutputDev.cpp UnicodeMap.cpp
    UnicodeTypeTable.cpp XRef.cpp
  LINK ${FONTCONFIG_LIBRARIES}
)

=== kview/kviewcanvas/config/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kviewcanvasconfig.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog
  PO_DIR kview-desktops
)


##### kcm_kviewcanvasconfig (module) ############

tde_add_kpart( kcm_kviewcanvasconfig AUTOMOC
  SOURCES generalconfigwidget.ui confmodules.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre124-0ubuntu22.04.1+7) jammy; urgency=low

  * Automated git build for 7de16ecd1e7afda4fd043128289cc9f9cd75aa22
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 11 Nov 2025 18:00:49 +0100

=== debian/control ===
Source: tdegraphics-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Francesco Pedrini <francesco.pedrini@gmail.com>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, imlib11-dev, libexif-dev (>= 0.6.9-1), libfribidi-dev, libglut-dev | freeglut3-dev, libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev, libopenexr-dev (>= 1.2.1), libpaper-dev, libpoppler-private-dev | libpoppler-dev (<< 0.18.4-3), libpoppler-dev, libsane-dev (>> 1.0.15), libtiff-dev, libtiff-tools, liblcms2-dev | liblcms1-dev, libusb-dev, libxxf86vm-dev
Standards-Version: 3.8.4

Package: tdegraphics-trinity
Section: tde
Architecture: all
Replaces: kdegraphics-kde3 (<< 4:14.0.0~), kdegraphics-trinity (<< 4:14.0.0~)
Breaks: kdegraphics-kde3 (<< 4:14.0.0~), kdegraphics-trinity (<< 4:14.0.0~)
Depends: kamera-trinity (>= ${source:Version}), kcoloredit-trinity (>= ${source:Version}), tdegraphics-tdefile-plugins-trinity (>= ${source:Version}), kdvi-trinity (>= ${source:Version}), kfax-trinity (>= ${source:Version}), kfaxview-trinity (>= ${source:Version}), kgamma-trinity (>= ${source:Version}), kghostview-trinity (>= ${source:Version}), tdeiconedit-trinity (>= ${source:Version}), kolourpaint-trinity (>= ${source:Version}), kooka-trinity (>= ${source:Version}), kpdf-trinity (>= ${source:Version}), kpovmodeler-trinity (>= ${source:Version}), kruler-trinity (>= ${source:Version}), ksnapshot-trinity (>= ${source:Version}), ksvg-trinity (>= ${source:Version}), kuickshow-trinity (>= ${source:Version}), kview-trinity (>= ${source:Version}), kviewshell-trinity (>= ${source:Version}), libkscan1-trinity (>= ${source:Version})
Suggests: tdegraphics-trinity-doc-html (>= ${source:Version})
Description: graphics apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of graphics applications
 provided with the official release of Trinity.

Package: tdegraphics-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdegraphics-kde3-doc-html (<< 4:14.0.0~), kdegraphics-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegraphics-kde3-doc-html (<< 4:14.0.0~), kdegraphics-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE graphics documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE graphics documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/kamera/. Documentation is provided for most
 TDE graphics packages.
 .
 This package is part of Trinity, and a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kamera-trinity
Section: graphics
Architecture: any
Replaces: kamera-kde3 (<< 4:14.0.0~), kamera-trinity (<< 4:14.0.0~)
Breaks: kamera-kde3 (<< 4:14.0.0~), kamera-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: digital camera io_slave for Konqueror
 This is a digital camera io_slave for TDE which uses gphoto2 and libgpio
 to allow access to your camera's pictures with the URL camera:/
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kcoloredit-trinity
Section: graphics
Architecture: any
Replaces: kcoloredit-kde3 (<< 4:14.0.0~), kcoloredit-trinity (<< 4:14.0.0~)
Breaks: kcoloredit-kde3 (<< 4:14.0.0~), kcoloredit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a color palette editor and color picker for TDE
 This package contains two programs, a color palette editor and also a color
 picker.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdegraphics-trinity-dev
Section: devel
Architecture: any
Replaces: kdegraphics-kde3-dev (<< 4:14.0.0~), kdegraphics-trinity-dev (<< 4:14.0.0~)
Breaks: kdegraphics-kde3-dev (<< 4:14.0.0~), kdegraphics-trinity-dev (<< 4:14.0.0~), libkscan-trinity-dev (<< 4:14.0.12~)
Depends: kghostview-trinity (= ${binary:Version}), kpovmodeler-trinity (= ${binary:Version}), ksvg-trinity (= ${binary:Version}), kview-trinity (= ${binary:Version}), kviewshell-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Description: development files for the TDE graphics module
 This package contains headers and other development files for the TDE
 graphics module.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdegraphics-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdegraphics-kfile-plugins-kde3 (<< 4:14.0.0~), kdegraphics-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdegraphics-kfile-plugins-kde3 (<< 4:14.0.0~), kdegraphics-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ghostscript
Description: TDE metainfo plugins for graphic files
 This packages provides meta information for graphic files (file sizes,
 tags, etc. all from within the file manager).
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kdvi-trinity
Section: graphics
Architecture: any
Replaces: kdvi-kde3 (<< 4:14.0.0~), kdvi-trinity (<< 4:14.0.0~)
Breaks: kdvi-kde3 (<< 4:14.0.0~), kdvi-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, texlive-fonts-recommended
Suggests: khelpcenter-trinity
Description: dvi viewer for TDE
 This program and KPart allow the user to display *.DVI files from TeX.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kfax-trinity
Section: graphics
Architecture: any
Replaces: kfax-kde3 (<< 4:14.0.0~), kfax-trinity (<< 4:14.0.0~)
Breaks: kfax-kde3 (<< 4:14.0.0~), kfax-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libtiff-tools
Description: G3/G4 fax viewer for Trinity
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kfaxview-trinity
Section: graphics
Architecture: any
Replaces: kfaxview-kde3 (<< 4:14.0.0~), kfaxview-trinity (<< 4:14.0.0~)
Breaks: kfaxview-kde3 (<< 4:14.0.0~), kfaxview-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: G3/G4 fax viewer for Trinity using kviewshell
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This faxviewer uses kviewshell and is intended to replace the standalone
 kfax application once it reproduces all of kfax's features.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kgamma-trinity
Section: graphics
Architecture: any
Replaces: kgamma-kde3 (<< 4:14.0.0~), kgamma-trinity (<< 4:14.0.0~)
Breaks: kgamma-kde3 (<< 4:14.0.0~), kgamma-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: gamma correction module for the Trinity Control Center
 KGamma is a Trinity Control Center module for gamma calibration/correction
 of XFree86. With proper gamma settings, your display (websites, images,
 etc.) will look the same on your monitor as on other monitors.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kgamma.berlios.de/index2.php

Package: kghostview-trinity
Section: graphics
Architecture: any
Replaces: kghostview-kde3 (<< 4:14.0.0~), kghostview-trinity (<< 4:14.0.0~)
Breaks: kghostview-kde3 (<< 4:14.0.0~), kghostview-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ghostscript-x
Suggests: khelpcenter-trinity
Provides: postscript-viewer, pdf-viewer
Description: PostScript viewer for Trinity
 KGhostview is Trinity's PostScript viewer. It is a port of Tim Theisen's
 Ghostview program which is used to view documents prepared in Adobe's
 PostScript page description language. PostScript is the major page
 description language for printing on UNIX systems, and this application is
 useful to preview material intended for printing, or for reading documents
 online.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: tdeiconedit-trinity
Section: graphics
Architecture: any
Replaces: kiconedit-kde3 (<< 4:14.0.0~), kiconedit-trinity (<< 4:14.0.0~)
Breaks: kiconedit-kde3 (<< 4:14.0.0~), kiconedit-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: an icon editor for Trinity
 TDEIconedit allows you easily to create and edit icons.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.

Package: kolourpaint-trinity
Section: graphics
Architecture: any
Replaces: kolourpaint-kde3 (<< 4:14.0.0~), kolourpaint-trinity (<< 4:14.0.0~)
Breaks: kolourpaint-kde3 (<< 4:14.0.0~), kolourpaint-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a simple paint program for Trinity
 KolourPaint is a very simple paint program for Trinity. It aims to be
 conceptually simple to understand; providing a level of functionality
 targeted towards the average user. It's designed for daily tasks like:
 .
  * Painting - drawing diagrams and "finger painting" 
  * Image Manipulation - editing screenshots and photos; applying effects 
  * Icon Editing - drawing clipart and logos with transparency 
 .
 It's not an unusable and monolithic program where simple tasks like
 drawing lines become near impossible. Nor is it so simple that it lacks
 essential features like Undo/Redo.
 .
 This package is part of Trinity, as a component of the TDE graphics module.
 See the 'tde-trinity' and 'tdegraphics-trinity' packages for more information.
 .
  Homepage: http://kolourpaint.sourceforge.net

Package: kooka-trinity
Section: graphics
Architecture: any
Replaces: kooka-kde3 (<< 4:14.0.0~), kooka-trinity (<< 4:14.0.0~)
Breaks: kooka-kde3 (<< 4:14.0.0~), kooka-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ocrad | gocr
Suggests: khelpcenter-trinity
Description: scanner program for Trinity
 Kooka is an open source GNU/Linux scan program based on SANE and
 KScan library.
 .
 Kooka helps you to handle the most important scan parameters, find the
 correct image file format to save and manage your scanned images. It
 offers support for different OCR modules. Libkscan, a autonomous part
 of Kooka, provides a scan service for easy and consistent use to all
 TDE applications.
 .
 Install ocrad or gocr if you wish to enable optical character recognition
 in kooka.
 .

## tdegraphics-trinity 14.2.0~pre126

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre126-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 2f927acd565e0741e8c299c89152e1cf92ecac43
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Nov 2025 17:46:18 +0100

## tdegraphics-trinity 14.2.0~pre128

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre128-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 2ce559458e5803dca8d98664d954b0108a72efbb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 06 Dec 2025 07:11:38 +0100

## tdegraphics-trinity 14.2.0~pre129

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre129-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 1a070abfe05ff408a2c8575b230162c17ea9d7d7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 08 Dec 2025 20:59:55 +0100

## tdegraphics-trinity 14.2.0~pre131

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre131-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a542fbe2fe46298dcb74411ef8771b6e0f72e618
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:12:11 +0100

## tdegraphics-trinity 14.2.0~pre133

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre133-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 53e9d20219775c682bddafbffb2a3e25580eee08
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 04:12:31 +0100

## tdegraphics-trinity 14.2.0~pre134

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre134-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for f815c3fd785ca4ed21b2a84da8d5f6029eb48614
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:13:05 +0100

## tdegraphics-trinity 14.2.0~pre137

=== debian/changelog ===
tdegraphics-trinity (4:14.2.0~pre137-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 2a26f8bf97c534e9c85ca936eb71d65fddd7fa82
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegraphics

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Feb 2026 21:07:12 +0100
